Subject: Re: Last Call: <draft-gp-obsolete-icmp-types-iana-01.txt> (Formally Deprecating Some ICMPv4 Message Types) to Proposed Standard

From: Donald Eastlake <[email-masked]>
Date: Thu, 17 Jan 2013 20:09:57 -0500

I have a wording problem with this as below:

On Thu, Jan 17, 2013 at 10:57 AM, The IESG <[email-masked]> wrote:
>
> The IESG has received a request from an individual submitter to consider
> the following document:
> - 'Formally Deprecating Some ICMPv4 Message Types'
>   <draft-gp-obsolete-icmp-types-iana-01.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2013-02-14. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> Abstract
>
>    A number of ICMPv4 message types have become obsolete in practice,
>    but have never been formally deprecated.  This document deprecates
>    such ICMPv4 message types, thus cleaning up the corresponding IANA
>    registry.  Additionally, it updates RFC792 and RFC950, obsoletes
>    RFC1788, and requests the RFC Editor to change the status of RFC1788
>    to "Historic".

I'm OK with deprecating these ICMPv4 message types. But this could be
said to "clean up" the IANA registry only, in my opinion, if the
entries were removed, which would be a bad idea. But the draft does
not remove these entries or simplify the registry, it annotates the
entries. I consider the wording "clean up", as used here, to be
misleading.

I suggest the second sentence of the abstract be changed to "This
document deprecates such ICMPv4 message types and annotates the
corresponding IANA registry entries." and that corresponding changes
be made elsewhere in the draft where "clean up" is used.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-gp-obsolete-icmp-types-iana/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-gp-obsolete-icmp-types-iana/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>

---

From: Fernando Gont <[email-masked]>
Date: Fri, 18 Jan 2013 03:28:06 -0300

Hi, Donald,

Thanks so much for your feedback! Please find my comments in-line....

On 01/17/2013 10:09 PM, Donald Eastlake wrote:
> entries were removed, which would be a bad idea.

FWIW, what we meant by "cleaning up" is that once the registry is
annotated as appropriate, the registry becomes useful for e.g. knowing
which icmp messages are still relevant.

> But the draft does

I have no problem with applying this change. So unless anyone argues on
the contrary, I'll rev the document accordingly.

Thanks!

Best regards,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 18 Jan 2013 19:43:32 +0000

Donald,

> be made elsewhere in the draft where "clean up" is used.

I think this is a good call out and support the proposal, "annotate" being more precise. Does it also need to qualify usability aspects of an annotated registry (i.e., the value of a bit more organized up-to-some-point-in-time)? I think implicit is fine, but thought I'd bring it up.

Thanks,

-- Carlos.